org.bouncycastle.asn1.cms

## Class EnvelopedData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.EnvelopedData

All Implemented Interfaces:
  DEREncodable

    public class EnvelopedData
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`EnvelopedData(ASN1Sequence seq)`
`EnvelopedData(OriginatorInfo originatorInfo, ASN1Set recipientInfos, EncryptedContentInfo encryptedContentInfo, ASN1Set unprotectedAttrs)`

### Method Summary

Methods
`EncryptedContentInfo` `getEncryptedContentInfo()`
`static EnvelopedData` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an EnvelopedData object from a tagged object.
`static EnvelopedData` `getInstance(java.lang.Object obj)` return an EnvelopedData object from the given object.
`OriginatorInfo` `getOriginatorInfo()`
`ASN1Set` `getRecipientInfos()`
`ASN1Set` `getUnprotectedAttrs()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvelopedData

    public EnvelopedData(OriginatorInfo originatorInfo,
                 ASN1Set recipientInfos,
                 EncryptedContentInfo encryptedContentInfo,
                 ASN1Set unprotectedAttrs)

#### EnvelopedData

    public EnvelopedData(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static EnvelopedData getInstance(ASN1TaggedObject obj,
                            boolean explicit)

return an EnvelopedData object from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

#### getInstance

    public static EnvelopedData getInstance(java.lang.Object obj)

return an EnvelopedData object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getVersion

    public DERInteger getVersion()

#### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()

#### getRecipientInfos

    public ASN1Set getRecipientInfos()

#### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

#### getUnprotectedAttrs

    public ASN1Set getUnprotectedAttrs()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     EnvelopedData ::= SEQUENCE {
         version CMSVersion,
         originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
         recipientInfos RecipientInfos,
         encryptedContentInfo EncryptedContentInfo,
         unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`